<?php
/** 
 * Magento Module implementing MojeID 
 * 
 * NOTICE OF LICENSE 
 * 
 * This source file is subject to the Open Software License (OSL 3.0) 
 * that is bundled with this package in the file LICENSE.txt. 
 * It is also available through the world-wide-web at this URL: 
 * http://opensource.org/licenses/osl-3.0.php 
 * 
 * 
 */

/**
 * Customer login form block
 *
 * @category   Cznic
 * @package    Cznic_MojeId
 */
class Cznic_Mojeid_Block_Form_Login extends Mage_Core_Block_Template
{
    private $_username = -1;

    public function __construct()
    {
        parent::__construct();
        $this->setTemplate('mojeid/login.phtml');
    }
   
    protected $title = null;
    
    public function setTitle($title){
         $this->title = $title;
    }
    
    public function getTitle(){
         return $this->title;
    }
    
    /**
     * Retrieve form posting url
     *
     * @return string
     */
    public function getActionUrl()
    {
        return $this->helper('mojeid')->getMojeidLoginPostUrl();
    }
    
    public function isButtonLoginEnabled(){
        return $this->helper('mojeid')->isButtonLoginEnabled();
    }

    public function getButtonColor(){
        return $this->helper('mojeid')->getButtonColor();
    }
    
    public function isMotivationProgrammeParticipation(){
        return $this->helper('mojeid')->isMotivationProgrammeParticipation();
    }
    
    public function getWhyMojeidUrl(){
        return $this->helper('mojeid')->getWhyMojeidUrl();
    }
    
    public function getNewMojeidUrl(){
        return $this->helper('mojeid')->getNewMojeidUrl();
    }
    
    public function getRegistrationUrl(){
        return $this->helper('mojeid')->getRegistrationUrl(); 
    }
    
    public function getNewMojeidHtml(){
        return $this->getLayout()->createBlock('mojeid/form_login')->setTemplate('mojeid/new_account.phtml')->toHtml();
    }
    
    public function getSupportImageUrl(){
        return $this->helper('mojeid')->getSupportImageUrl();
    }
    
    /*
    "Pro mojeID?" - pokud zapojit ne, pak odkaz na nae strnky http://www.mojeid.cz/page/805/vyhody-mojeid/
- pokud zapojit ano, pak odkaz na intern soubor (kter bude obsahovat podobn informace, ale provozovatel si jej me upravit (upozornit na akci) a z nj prolink na registraci mojeID viz. dal odkaz.

"Nov et mojeID" - pokud zapojit ne, pak odkaz na nae strnky http://www.mojeid.cz/page/795/zalozeni-uctu/
- pokud zapojit ano, pak odkaz na nae strnky, ale mus obsahovat realm s URL provozovatele (viz. dokumentace). Tento odkaz by ml bt i v tom info souboru "Pro mojeID?".    
    */
}
