<?php
/** 
 * Magento Module implementing MojeID 
 * 
 * NOTICE OF LICENSE 
 * 
 * This source file is subject to the Open Software License (OSL 3.0) 
 * that is bundled with this package in the file LICENSE.txt. 
 * It is also available through the world-wide-web at this URL: 
 * http://opensource.org/licenses/osl-3.0.php 
 * 
 * 
 */

/** 
 * 
 * @category Cznic 
 * @package Cznic_Mojeid
 * 
 */

class Cznic_Mojeid_Model_Auth_Try extends Mage_Core_Model_Abstract 
{
	public function _construct() 
	{
		parent::_construct ();
	}
	
	protected function getOpenIDURL() 
	{
    	if (empty($_GET['mojeid_identity'])) 
    	{
            return Mage::helper("mojeid")->getEndpoint();
    	}
    	
    	return Mage::helper("mojeid")->createUrlIdentifier($_GET['mojeid_identity']);
	}

	public function run() 
	{
    $openid = $this->getOpenIDURL();

		$common = Mage::helper("mojeid");
		$consumer = $common->getConsumer();
		
		$extensions = array($common->getSregExt(),$common->getAxExt());
    	
    	if (!$consumer->login($openid,$common->getReturnToUrl(),$common->getTrustRootUrl(),$extensions))
    	{    		
        Mage::log('MojeId login FAILED: '.$consumer->getError());
        return false;
    	}
        return true;
	}
	
}