<?php 
/** 
* Magento Module implementing MojeID 
* 
* NOTICE OF LICENSE 
* 
* This source file is subject to the Open Software License (OSL 3.0) 
* that is bundled with this package in the file LICENSE.txt. 
* It is also available through the world-wide-web at this URL: 
* http://opensource.org/licenses/osl-3.0.php 
* 
* 
*/ 

/** 
* Hlavni kontroler pro exportni intarface
* 
* @category Cznic 
* @package Cznic_Mojeid
* 
*/

class Cznic_Mojeid_IndexController extends Mage_Core_Controller_Front_Action
{    
	protected function _initAction() 
	{
		if ($this->getRequest()->getQuery('ajax')) 
		{
            $this->_forward('grid');
            return;
    	}
    	$this->loadLayout();   
		return $this;
	}   
	
 
	/*public function indexAction() 
	{
    $this->_initAction()->renderLayout();
	}*/
	
	public function tryAction() 
	{		
		if(Mage::getModel('mojeid/auth_try')->run() == false)
		{
			Mage::getSingleton("customer/session")->addError(Mage::helper("mojeid")->__("Authentication error, not a valid MojeID."));
			$this->_redirect(Mage::helper('mojeid')->getCustomerLoginUrl());
		}
	}
	
	public function finishAction() 
	{
		$finishModel = Mage::getModel('mojeid/auth_finish');
    
    //Mage::log($this->getRequest()->getParams());            
		if($finishModel->run())
		{			
			if($finishModel->validateConsumerData())
			{
				$session = Mage::getSingleton('customer/session');	
				$customerData = $finishModel->getCustomerData();				
				$session->addSuccess($finishModel->getMessage());

				$customer = Mage::getModel('mojeid/customer')->loadCustomer($customerData);
				
				if(!$customer->isOk())
				{
					Mage::getSingleton("customer/session")->addError($customer->getMessage());
					$this->_redirect(Mage::helper('mojeid')->getCustomerLoginUrl());
					//die('is ok');
                                        return;
				}
				
				//update user data
				if(!$customer->updateData())
				{
					Mage::getSingleton("customer/session")->addError($customer->getMessage());
				}
				
				$session->setCustomerAsLoggedIn($customer->getMagentoCustomer());
				if($customer->isNew())
				{
					$session->addSuccess($this->__('Thank you for registering with %s.', Mage::app()->getStore()->getFrontendName()));
				}				
				
        $session = Mage::getSingleton('customer/session');
        if ($session->getBeforeAuthUrl()){
            $this->_redirectSuccess($session->getBeforeAuthUrl());
        }else{
            $this->_redirectSuccess(Mage::helper('customer')->getAccountUrl());
        }
        return;
			}
		}
		
		Mage::getSingleton("customer/session")->addError($finishModel->getMessage());
		$this->_redirect(Mage::helper('mojeid')->getCustomerLoginUrl());
	}
}