<?php
/** 
* Magento Module implementing MojeID 
* 
* NOTICE OF LICENSE 
* 
* This source file is subject to the Open Software License (OSL 3.0) 
* that is bundled with this package in the file LICENSE.txt. 
* It is also available through the world-wide-web at this URL: 
* http://opensource.org/licenses/osl-3.0.php 
* 
* 
*/ 

/** 
* Sql instalation skript
* 
* @category Cznic 
* @package Cznic_Mojeid
* 
*/

$installer = $this;

$installer->startSetup();
$installer->installEntities();

$installer->run("
-- Zmeny pro funkcnost mojeid
ALTER TABLE `customer_entity` ADD `mojeid` INT NOT NULL DEFAULT '0' AFTER `store_id`;
ALTER TABLE `customer_entity` ADD `mojeid_status` VARCHAR(255) NOT NULL DEFAULT '' AFTER `store_id`;

-- Pridani atributu mojeid

INSERT INTO `eav_attribute` (
`attribute_id` ,
`entity_type_id` ,
`attribute_code` ,
`attribute_model` ,
`backend_model` ,
`backend_type` ,
`backend_table` ,
`frontend_model` ,
`frontend_input` ,
`frontend_label` ,
`frontend_class` ,
`source_model` ,
`is_required` ,
`is_user_defined` ,
`default_value` ,
`is_unique` ,
`note`
)
VALUES (
NULL , '1', 'mojeid', NULL , NULL , 'static', NULL , NULL , 'select', 'MojeID', NULL , NULL , '0', '0', '0', '0', ''
);

-- Pridani atributu mojeid_status

INSERT INTO `eav_attribute` (
`attribute_id` ,
`entity_type_id` ,
`attribute_code` ,
`attribute_model` ,
`backend_model` ,
`backend_type` ,
`backend_table` ,
`frontend_model` ,
`frontend_input` ,
`frontend_label` ,
`frontend_class` ,
`source_model` ,
`is_required` ,
`is_user_defined` ,
`default_value` ,
`is_unique` ,
`note`
)
VALUES (
NULL , '1', 'mojeid_status', NULL , NULL , 'static', NULL , NULL , 'text', 'MojeID Status', NULL , NULL , '0', '0', '0', '0', ''
);

 ");

$cmsPage = Mage::getModel('cms/page')->load('mojeid', 'identifier');
if (!$cmsPage->getId()){
  $cmsPageData = array(
      'title' => 'Proč mojeID',
      //'root_template' => 'one_column',
      'meta_keywords' => 'mojeID',
      //'meta_description' => 'meta description',
      'identifier' => 'mojeid',
      //'content_heading' => 'content heading',
      'stores' => array(0),//available for all store views
      'content' => file_get_contents(dirname(__FILE__).'/mojeid-cms.html')
  );
  
  $cmsPage->setData($cmsPageData)->save();
}

Mage::helper('mojeid')->generateXrds();

$installer->endSetup(); 
